## python-certbot-dns-google 2.10.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = certbot-dns-google
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-certbot-dns-google 0.22.0

=== debian/changelog ===
python-certbot-dns-google (0.22.0-1) unstable; urgency=medium

  * Initial release (Closes: #893271).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 17 Mar 2018 14:54:44 -0400

=== debian/control ===
Source: python-certbot-dns-google
Maintainer: Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Andrew Starr-Bochicchio <asb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-acme (>= 0.22.0~),
               python3-certbot (>= 0.22.0~),
               python3-googleapi (>= 1.5~),
               python3-httplib2,
               python3-mock,
               python3-oauth2client (>= 2.0),
               python3-setuptools (>= 1.0),
               python3-sphinx (>= 1.3.1-1~),
               python3-sphinx-rtd-theme,
               python3-zope.interface
Standards-Version: 4.1.3
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google
Testsuite: autopkgtest-pkg-python

Package: python3-certbot-dns-google
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Google DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the Google DNS plugin to the main application.

Package: python-certbot-dns-google-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for the Google DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This package contains the documentation for the Google DNS plugin to
 the main application.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-google

# Tests currently fail without an internet connection.
# https://github.com/certbot/certbot/issues/5624
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-google \
		-p python-certbot-dns-google-doc
	dh_installdocs -p python3-certbot-dns-google

## python-certbot-dns-google 0.23.0

=== debian/changelog ===
python-certbot-dns-google (0.23.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:47:27 +0800

python-certbot-dns-google (0.23.0-2) unstable; urgency=medium

  * Change Maintainer address to tracker.d.o (Closes: #899830)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 16 Jun 2018 18:51:57 -0400

python-certbot-dns-google (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add an Enhances on certbot.
  * debian/rules: Re-enable build time tests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 07 Apr 2018 16:00:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-certbot-dns-google
-Maintainer: Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
@@ -27,6 +27,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
+Enhances: certbot
 Description: Google DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible
@@ -58,4 +59,3 @@
  .
  This package contains the documentation for the Google DNS plugin to
  the main application.
-

## python-certbot-dns-google 1.3.0

=== debian/changelog ===
python-certbot-dns-google (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Switch to using a Provides virtual package for ABI management.
  * Bump deps per setup.py
  * Bump S-V; adding R-R-R and switching to debhelper-compat

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 27 Apr 2020 19:58:46 -0400

## python-certbot-dns-google 1.11.0

=== debian/changelog ===
python-certbot-dns-google (1.11.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Harlan Lieberman-Berg ]
  * New upstream version 1.11.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 10 Jan 2021 15:15:27 -0500

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,32 @@
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
-               python3-acme (>= 0.22.0~),
-               python3-certbot (>= 0.22.0~),
+               python3-acme-abi-1,
+               python3-certbot-abi-1 (>= 1.1),
                python3-googleapi (>= 1.5~),
                python3-httplib2,
                python3-mock,
-               python3-oauth2client (>= 2.0),
+	       python3-pytest,
+               python3-oauth2client (>= 4.0),
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-certbot-dns-google
 Architecture: all
-Depends: ${python3:Depends},
+Depends: certbot,
+	 python3-certbot-abi-1 (>= 1.1),
+	 ${python3:Depends},
          ${misc:Depends}
 Enhances: certbot
 Description: Google DNS plugin for Certbot

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/certbot-dns-google/certbot-dns-google-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot-dns-google 1.18.0

=== debian/changelog ===
python-certbot-dns-google (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
  * Bump dependency versions
  * Run wrap-and-sort
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 23 Aug 2021 19:11:42 -0400

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,19 @@
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1,
-               python3-certbot-abi-1 (>= 1.1),
-               python3-googleapi (>= 1.5~),
+               python3-acme-abi-1 (>= 1.18),
+               python3-certbot-abi-1 (>= 1.18),
+               python3-googleapi (>= 1.5.5~),
                python3-httplib2,
-               python3-mock,
-	       python3-pytest,
                python3-oauth2client (>= 4.0),
-               python3-setuptools (>= 1.0),
+               python3-setuptools (>= 39.0.1~),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google
@@ -28,9 +26,9 @@
 Package: python3-certbot-dns-google
 Architecture: all
 Depends: certbot,
-	 python3-certbot-abi-1 (>= 1.1),
-	 ${python3:Depends},
-         ${misc:Depends}
+         python3-certbot-abi-1 (>= 1.18),
+         ${misc:Depends},
+         ${python3:Depends}
 Enhances: certbot
 Description: Google DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
@@ -52,7 +50,7 @@
 Package: python-certbot-dns-google-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation for the Google DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = certbot-dns-google
-
-# Tests currently fail without an internet connection.
-# https://github.com/certbot/certbot/issues/5624
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-certbot-dns-google 2.0.0

=== debian/changelog ===
python-certbot-dns-google (2.0.0-2) unstable; urgency=medium

  * Correct python-certbot version requirement

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 08 Dec 2022 18:22:06 -0500

python-certbot-dns-google (2.0.0-1) unstable; urgency=medium

  * Add new signing keys, see bug #999503
  * Bump certbot, acme dependencies
  * New upstream version 2.0.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 08 Dec 2022 18:21:19 -0500

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1 (>= 1.18),
-               python3-certbot-abi-1 (>= 1.18),
+               python3-acme-abi-2 (>= 2.0),
+               python3-certbot-abi-2 (>= 2.0),
                python3-googleapi (>= 1.5.5~),
                python3-httplib2,
                python3-oauth2client (>= 4.0),
-               python3-setuptools (>= 39.0.1~),
+               python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
@@ -26,7 +26,7 @@
 Package: python3-certbot-dns-google
 Architecture: all
 Depends: certbot,
-         python3-certbot-abi-1 (>= 1.18),
+         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot

## python-certbot-dns-google 2.10.0

=== debian/changelog ===
python-certbot-dns-google (2.10.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix d/watch for new PyPi archive naming policy

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Feb 2025 00:17:38 +0100

python-certbot-dns-google (2.10.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.10.0 (Closes: #1082044, #1084856)
  * Update build-dependencies:
    - python3-httplib2
    - python3-oauth2client
    + python3-google-auth

 -- Alexandre Detiste <tchet@debian.org>  Thu, 09 Jan 2025 23:30:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
                python3-acme-abi-2 (>= 2.0),
                python3-certbot-abi-2 (>= 2.0),
                python3-googleapi (>= 1.5.5~),
-               python3-httplib2,
-               python3-oauth2client (>= 4.0),
+               python3-google-auth,
                python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/certbot-dns-google/certbot_dns_google-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot-dns-google 4.0.0

=== debian/changelog ===
python-certbot-dns-google (4.0.0-3) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Use dh-sequence-python3
  * Rewrite d/rules in newer & shorter syntax
  * Rewrite d/watch in v5 format

  [ Debian Janitor ]
  * Apply multi-arch hints

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 19:01:25 +0100

python-certbot-dns-google (4.0.0-2) unstable; urgency=medium

  * Drop dep on python3-oauth2client

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 31 May 2025 14:09:44 -0400

python-certbot-dns-google (4.0.0-1) unstable; urgency=medium

  * d/watch: newer packages use an underscore
  * New upstream version 4.0.0
  * Bump dependency requirements (Closes: #1106473)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 20:42:50 -0400

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,28 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
-               python3-acme-abi-2 (>= 2.0),
-               python3-certbot-abi-2 (>= 2.0),
-               python3-googleapi (>= 1.5.5~),
-               python3-google-auth,
+               python3-acme-abi-4 (>= 4.0),
+               python3-certbot-abi-4 (>= 4.0),
+               python3-google-auth (>= 2.16.0~),
+               python3-googleapi (>= 1.6.5~),
+               python3-httplib2,
                python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-google
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-certbot-dns-google
 Architecture: all
 Depends: certbot,
-         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
+         python3-certbot-abi-4 (>= ${Abi-major-minor-version}),
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot
@@ -50,6 +49,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Documentation for the Google DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = certbot-dns-google

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-google \
		-p python-certbot-dns-google-doc
	dh_installdocs -p python3-certbot-dns-google

override_dh_gencontrol:
	echo "Abi-major-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1 >> debian/abi.substvars
	echo "Abi-major-minor-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1,2 >> debian/abi.substvars
	dh_gencontrol -- -Tdebian/abi.substvars

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/certbot-dns-google/
Matching-Pattern: certbot_dns_google-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Pgpsigurlmangle: s/$/.asc/
Uversionmangle: s/(rc|a|b|c)/~$1/
